
ALTER TABLE Amis
ADD CONSTRAINT FK_amis_personne
FOREIGN KEY (id_Personne)
REFERENCES Personne(id_Personne);

ALTER TABLE CentreInteret
ADD CONSTRAINT FK_CentreInteret_musique
FOREIGN KEY (id_Musique)
REFERENCES Musique(id_Musique);

ALTER TABLE CentreInteret
ADD CONSTRAINT FK_CentreInteret_film
FOREIGN KEY (id_Film)
REFERENCES Film(id_Film);

ALTER TABLE CentreInteret
ADD CONSTRAINT FK_CentreInteret_livre
FOREIGN KEY (id_Livre)
REFERENCES Livre(id_Livre);

ALTER TABLE CentreInteret
ADD CONSTRAINT FK_CentreInteret_et
FOREIGN KEY (id_EmissionTele)
REFERENCES EmissionTele(id_EmissionTele);

ALTER TABLE Conversation
ADD CONSTRAINT FK_Conversation_message
FOREIGN KEY (id_Message)
REFERENCES Message(id_Message);

ALTER TABLE CentreInteret
ADD CONSTRAINT FK_CentreInteret_serieTV
FOREIGN KEY (id_SerieTele)
REFERENCES SerieTele(id_SerieTele);

ALTER TABLE CentreInteret
ADD CONSTRAINT FK_CentreInteret_sport
FOREIGN KEY (id_Sport)
REFERENCES Sport(id_Sport);

ALTER TABLE CentreInteret
ADD CONSTRAINT FK_CentreInteret_jeux
FOREIGN KEY (id_Jeux)
REFERENCES Jeux(id_Jeux);

ALTER TABLE Personne
ADD CONSTRAINT FK_Personne_parcoursScolaire
FOREIGN KEY (id_ParcoursScolaire)
REFERENCES ParcoursScolaire(id_ParcoursScolaire);

ALTER TABLE Personne
ADD CONSTRAINT FK_Personne_parcoursProfessionnel
FOREIGN KEY (id_ParcoursProfessionnel)
REFERENCES ParcoursProfessionnel(id_ParcoursProfessionnel);

ALTER TABLE Personne
ADD CONSTRAINT FK_Personne_conversation
FOREIGN KEY (id_Conversation)
REFERENCES Conversation(id_Conversation);



